Get EHR by subject id
Retrieve the EHR with the specified subject_id and subject_namespace.
These subject parameters will be matched against EHR's EHR_STATUS.subject.external_ref.id.value and EHR_STATUS.subject.external_ref.namespace values.
Query Parameters
- Type: string
subject _id requiredThe EHR subject id.
- Type: string
subject _namespace requiredThe EHR subject id namespace.
Responses
- application/json
404 404 Not Foundis returned when an EHR with supplied subject parameters does not exist.
Request Example for get/ehr
curl 'https://cataniamc.prod.cadasto.com/openehr/v1/ehr?subject_id=ins01&subject_namespace=examples'
{
"system_id": {
"value": "9624982A-9F42-41A5-9318-AE13D5F5031F"
},
"ehr_id": {
"value": "7d44b88c-4199-4bad-97dc-d78268e01398"
},
"ehr_status": {
"id": {
"_type": "OBJECT_VERSION_ID",
"value": "8849182c-82ad-4088-a07f-48ead4180515::cataniamc.prod.cadasto.com::1"
},
"namespace": "local",
"type": "EHR_STATUS"
},
"ehr_access": {
"id": {
"_type": "OBJECT_VERSION_ID",
"value": "59a8d0ac-140e-4feb-b2d6-af99f8e68af8::cataniamc.prod.cadasto.com::1"
},
"namespace": "local",
"type": "EHR_ACCESS"
},
"time_created": {
"value": "2015-01-20T19:30:22.765+01:00"
}
}